Subject: Re: [Shop-talk] Compressor Leak & Repair

From: "Randall" <[email-masked]>
Date: Thu, 3 Oct 2013 21:16:10 -0700

> Anyone have any success in repairing a compressor tank?

I tried with my little 20 gallon one, but with only limited success.  In retrospect, I think the problem is that the tank flexes a
bit every time the pressure changes, and the area weakened with rust will either flex more where you don't reinforce it, or less
where you do.  So you are pretty much guaranteed to eventually get a crack right next to your repair.  After the third time, I gave
up.  Found a much better compressor (80 gallon, two stage, etc) for $500 on Craigslist and gave the old one away.

There is also the safety aspect; there is a lot of energy stored in that tank and a tank failure has the potential for turning into
a shrapnel bomb.

I used brazing for the repairs, in hopes of not creating a heat-affected zone.  The braze seemed to hold fine, the new leaks were
always next to the braze rather than through it.

Randall
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive